Name:           qca
Version:        1.0
Release:        3
Epoch:          0
Summary:        Qt Cryptographic Architecture

Group:          System Environment/Libraries
License:        LGPL
URL:            http://delta.affinix.com/qca
Source0:        http://delta.affinix.com/qca/qca-1.0.tar.bz2
Patch0:         qca-1.0-mach.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel

%description
Taking a hint from the similarly-named Java Cryptography Architecture,
QCA aims to provide a straightforward and cross-platform crypto API,
using Qt datatypes and conventions. QCA separates the API from the 
implementation, using plugins known as Providers. The advantage of this
model is to allow applications to avoid linking to or explicitly depending
on any particular cryptographic library. This allows one to easily change
or upgrade crypto implementations without even needing to recompile the
application!

%package        devel
Summary:        Qt Cryptographic Architecture - development files
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
This packages contains the development files for QCA

%prep
%setup -q
%patch0 -p0 -b .mach
perl -pi -e 's,target\.path=\$PREFIX/lib,target.path=\$PREFIX/%{_lib},g' qcextra


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
./configure --prefix=%{_prefix} --qtdir=$QTDIR
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Thu Jan 13 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-3
- fix Category
- fix build on x86_64

* Thu Jan 13 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- clean up comments to fix %%postun scriptlet.

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- Initial RPM release.
